## org.eclipse.e4.xwt
Enum Tracking

    java.lang.Object
      java.lang.Enum<Tracking>
          org.eclipse.e4.xwt.Tracking

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Tracking>

    public enum Tracking

extends java.lang.Enum<Tracking>

Enum Constant Summary
`DATABINDING`
`NAME`

Method Summary
`static Tracking` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Tracking[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATABINDING

    public static final Tracking DATABINDING

### NAME

    public static final Tracking NAME

Method Detail

### values

    public static final Tracking[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Tracking c : Tracking.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Tracking valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name